Package org.apache.sysds.runtime.compress.lib

## Class CLALibCombine

- java.lang.Object
- - org.apache.sysds.runtime.compress.lib.CLALibCombine

    public class CLALibCombine
    extends Object

### Constructor Summary

Constructors
`CLALibCombine()`

### Method Summary

All Methods Static Methods Concrete Methods
`static MatrixBlock` `combine​(Map<MatrixIndexes,​MatrixBlock> m, int k)`
`static MatrixBlock` `combine​(Map<MatrixIndexes,​MatrixBlock> m, int rlen, int clen, int blen, int k)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CLALibCombine

    public CLALibCombine()

### Method Detail

#### combine

    public static MatrixBlock combine​(Map<MatrixIndexes,​MatrixBlock> m,
                                      int k)

#### combine

    public static MatrixBlock combine​(Map<MatrixIndexes,​MatrixBlock> m,
                                      int rlen,
                                      int clen,
                                      int blen,
                                      int k)